<?php

/**
 * Init Theme Related Settings
 */

/** Internal Settings **/
//get_template_part( 'includes/version' );
require_once 'version.php';

/**
 * Required and Recommended Plugins
 */
function spyropress_register_plugins() {

    /**
     * Array of plugin arrays. Required keys are name and slug.
     * If the source is NOT from the .org repo, then source is also required.
     */
    $spyropress_plugins = array(
 
        // Contact Form 7
        array(
            'name'      => esc_html__('Contact Form 7','sonno'),
            'slug'      => 'contact-form-7',
            'required'  => false,
        ),
        
        array(
            'name'      => esc_html__('MailChimp','sonno'),
            'slug'      => 'mailchimp-for-wp',
            'required'  => false,
        ),
         
        array(
            'name' => esc_html__('Custom Post Type','sonno'),
            'required' => true,
            'slug' => 'cpt',
            'source' => get_template_directory() . '/includes/plugins/cpt.zip'
        ),
        array(
            'name'               => esc_html__('Ef3 Import and Export','sonno'),
            'slug'               => 'ef3-import-and-export',
            'source'             => esc_url('http://spyropress.com/plugins/ef3-import-and-export.zip'),
            'required'           => false,
        ),
    );
    $config = array(
        'default_path' => '',                      // Default absolute path to pre-packaged plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.
        'strings'      => array(
            'page_title'                      => esc_html__( 'Install Required Plugins', 'sonno' ),
            'menu_title'                      => esc_html__( 'Install Plugins', 'sonno' ),
            'installing'                      => esc_html__( 'Installing Plugin: %s', 'sonno' ), // %s = plugin name.
            'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'sonno' ),
            'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'sonno' ), // %1$s = plugin name(s).
            'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.' , 'sonno' ), // %1$s = plugin name(s).
            'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.' , 'sonno' ), // %1$s = plugin name(s).
            'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'sonno' ), // %1$s = plugin name(s).
            'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'sonno' ), // %1$s = plugin name(s).
            'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'sonno' ), // %1$s = plugin name(s).
            'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'sonno' ), // %1$s = plugin name(s).
            'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'sonno' ), // %1$s = plugin name(s).
            'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'sonno' ),
            'activate_link'                   => _n_noop( 'Begin activating plugin', 'Begin activating plugins', 'sonno' ),
            'return'                          => esc_html__( 'Return to Required Plugins Installer', 'sonno' ),
            'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'sonno' ),
            'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'sonno' ), // %s = dashboard link.
            'nag_type'                        => 'updated' // Determines admin notice type - can only be 'updated', 'update-nag' or 'error'.
        )
    );

    tgmpa( $spyropress_plugins, $config );
    
   /* if( !class_exists('SpyropressCPT') ){
        tgmpa( $spyropress_plugins, array( 'parent_slug' => 'themes.php' ) );
    }else{
    	tgmpa( $spyropress_plugins, array(
        	'parent_slug' => 'spyropress'
    	) );
    }*/
}
add_action( 'tgmpa_register', 'spyropress_register_plugins' );

/**
 * Add modules and tempaltes to SpyroBuilder
 */
function spyropress_register_builder_modules( $modules ) {
    
    get_template_part ( '/includes/sonno-row', 'templates' );

    $spyropress_modules[] = 'modules/rich-text/rich-text.php';
    $spyropress_modules[] = 'modules/row-options/row-options.php';
    $spyropress_modules[] = 'modules/our-clients/clients.php';
    $spyropress_modules[] = 'modules/heading/heading.php';
    $spyropress_modules[] = 'modules/icon-teaser/icon-teaser.php';
    $spyropress_modules[] = 'modules/tabs/tabs.php';
    $spyropress_modules[] = 'modules/call-action/call-action.php';
    $spyropress_modules[] = 'modules/accordion/accordion.php';
    $spyropress_modules[] = 'modules/blog/blog.php';
    $spyropress_modules[] = 'modules/contact/contact.php';
    $spyropress_modules[] = 'modules/home-section/home-section.php';

    return $spyropress_modules;
}
add_filter( 'builder_include_modules', 'spyropress_register_builder_modules' );

/**
 * Define the row wrapper html
 */
function spyropress_row_wrapper( $row_ID, $row ) {
    
    extract( $row['options'] );
    
    // CssClass
    $spyropress_section_class = array(); $spyropress_parallax = $spyropress_overlay = '';
    if( isset( $skin ) && !empty( $skin ) ){
        $spyropress_section_class[] = $skin;
    }
    if( $skin == 'parallax' ){
        $spyropress_parallax = 'data-background="'. $parallax_bg .'" data-speed="0.4"';
        $spyropress_overlay = '<div class="overlay"></div>';
    }else{
        $spyropress_section_class[] = 'section'; 
    }
        

    $spyropress_row_html = sprintf( '
        <div id="%1$s" class="%2$s" %5$s>
            %6$s
            <div class="container">
                <div class="%3$s">
                    %4$s
                </div>
            </div>
        </div>', $row_ID, spyropress_clean_cssclass( $spyropress_section_class ), get_row_class( true ), builder_render_frontend_columns( $row['columns'] ), $spyropress_parallax, $spyropress_overlay
    );

    return $spyropress_row_html;
}
add_filter( 'spyropress_builder_row_wrapper', 'spyropress_row_wrapper', 10, 2 );

/**
 * Include Widgets
 */
function spyropress_register_widgets( $widgets ) {
    
    $spyropress_path = get_template_directory() . '/includes/widgets/';


    $spyropress_custom = array(
        $spyropress_path . 'recent-posts/recent-posts.php',
        $spyropress_path . 'ads/ads.php',
    );

    return array_merge( $widgets, $spyropress_custom );
}
add_filter( 'spyropress_register_widgets', 'spyropress_register_widgets' );


/**
 * Comment Callback
 */
if( !function_exists( 'spyropress_comment' ) ) :
function spyropress_comment( $comment, $args, $depth ) {
    $GLOBALS['comment'] = $comment;
    
    //Translation Theme Option
    $spyropress_translate['comment-reply'] = get_setting( 'translate' ) ? get_setting( 'comment-reply', 'Reply' ) : esc_html__( 'Reply', 'sonno' );
	
	switch ( $comment->comment_type ) :
		case 'pingback' :
		case 'trackback' :
	?>
	<li class="post pingback">
		<p><?php _e( 'Pingback:', 'sonno' ); ?> <?php comment_author_link(); ?><?php edit_comment_link( esc_html__( 'Edit', 'sonno' ), '<span class="edit-link">', '</span>' ); ?></p>
	<?php
			break;
		default :
	?>
    <div <?php comment_class('media'); ?> id="li-comment-<?php comment_ID(); ?>" >
		<div class="media-left" >
			<a href="<?php comment_author_url(); ?>">
                <?php 
                    $photo = get_avatar( $comment, 72 ); 
                    echo str_replace( 'photo', 'photo media-object', $photo );
                ?>
			</a>
		</div>
		<div class="media-body">
			<h6 class="media-heading"><a href="<?php comment_author_url(); ?>"><?php comment_author(); ?></a></h6>
			<?php if ( $comment->comment_approved == '0' ) { ?>
                <em class="comment-awaiting-moderation"><?php _e( 'Your comment is awaiting moderation.', 'sonno' ); ?></em><br />
            <?php
                }
                comment_text();
            ?>
			<p class="reply">
                <?php
                    comment_reply_link( array_merge( $args, array(
                        'depth' => $depth,
                        'reply_text' => $spyropress_translate['comment-reply'],
                        'max_depth' => $args['max_depth'],
                        'before' => '<i class="icon-link"></i>'
                    ) ) );
                ?>
            </p>
		</div>
    
	<?php
			break;
	endswitch;
}
endif;

/**
 * Pagination Defaults
 */
function spyropress_pagination_defaults( $spyropress_defaults = array() ) {
    
    $spyropress_defaults['container'] = 'nav';
    $spyropress_defaults['style'] = 'list';
    $spyropress_defaults['container_class'] = 'pager';
    $spyropress_defaults['options']['next_text'] = 'Next <span>&rarr;</span>';
    $spyropress_defaults['options']['prev_text'] = '<span></span> Prev';
    
    return $spyropress_defaults;
}
add_filter( 'spyropress_pagination_defaults', 'spyropress_pagination_defaults' );

/**
 * oEmbed Modifier
 */
function spyropress_oembed_modifier( $spyropress_html ) {
    
    $spyropress_html = preg_replace( '/(width|height|frameborder)="\d*"\s/', "", $spyropress_html );
    
    if( is_str_contain( 'video-container', $spyropress_html ) ) return $spyropress_html;
    
    return '<div class="video-container">' . $spyropress_html . '</div>';
}
add_filter( 'embed_oembed_html', 'spyropress_oembed_modifier', 10 );
add_filter( 'oembed_result', 'spyropress_oembed_modifier', 10 );